Retrieve list of all Bank accounts

Retrieve a paginated list of all Bank accounts and their details. You can apply filters to narrow down the results based on specific criteria.

Query Params
string

Implemented filter mappings:
businessId - Account's businessId.
iban - Account's IBAN (e.g. "NL62RABO9688157082").
accountNumber - Account's number (e.g. "123456789").
currency - The 3-character ISO-4217 currency code indicating the operating currency of the bank account. For example, the currency code of United Kingdom is GBP.
accountType -CHECKING, SAVINGS, LOAN, OTHER, SALARY, CASHPAYMENT, CHARGES, CASH_TRADING, COMMISSION, MONEY_MARKET, GUARANTEED, COLLATERAL, CUSTODIAL, INVESTMENT, TAX.
generalLedgerNumber - General ledger number for the bank account.
description - Bank account full description.
shortDescription - Bank account short description.
status - INACTIVE, CREATED, IN_CHANGE, WAITING_FOR_APPROVAL, ACTIVE, CLOSED.
virtualAccount - Condition describing if a bank account is virtual, supports boolean value
bankBic - Bank account's BIC (e.g. "ANZBAU4M").
bankCode - Bank account's bank code (e.g. "ABCD").
legalEntityName - Account's Legal Entity (e.g. "Example Legal Entity").


For example, when you need to fetch all "active" bank accounts that belong to a bank with bic "ANZBAU4M" you need to run this query
filter=status=ACTIVE bic=ANZBAU4M

Condition values have to be escaped if they contain whitespace or operator symbols. To do so, enclose the whole value in double quotation marks
e.g. filter=legalEntityName="Example Legal Entity" status=active.



The following operators are supported in a filter term

OperatorNameDescriptionExample
=EqualExact match of a single valuebankCode=ABCD
!=Not EqualNegated equalbankCode!=ABCD
:InMatches field against list of comma separated valuesbankCode:ABCD,BPPA,BPAP
!:Not InNegated InbankCode!:ABCD,BPPA,BPAP
<field>ExistsA field without operator. Is true if the field is not null bankCode
<field>!Not ExistsNegated exists. Is true if field is nullbankCode!



The Equal (=) and Not-Equal (!=) operators can be used together with wildcards to match partial strings. A single asterisk (*) can be placed at the very start or end of a value to match any number of characters there.

UsageNameDescription
iban=foo or iban="foo"Starts withMatches any string starting with the value.
iban=foo or iban="foo"Ends withMatches any string ending with the value.
iban=*foo or iban="foo"*LikeMatches any string containing the value.
integer
≥ 1
Defaults to 1

Specify which page of results to return, one-based i.e. starts from 1

integer
1 to 100
Defaults to 50

specifies the number of items per page, from 1 to 100

string

Sort expression. Comma-separated list of field names, each optionally prefixed with + (ascending, default) or - (descending). Allowed fields: accountNumber, iban, status, currency. Example: sort=-accountNumber

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

5XX

Error response code which is returned when an internal server error occurs

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json